<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="20c93a6f-80c8-4861-bff6-1e331647f548" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/app/Http/Controllers/front/HomeController.php" beforeDir="false" afterPath="$PROJECT_DIR$/app/Http/Controllers/front/HomeController.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/resources/views/back/cours/index.blade.php" beforeDir="false" afterPath="$PROJECT_DIR$/resources/views/back/cours/index.blade.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_contributions.blade.php" beforeDir="false" afterPath="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_contributions.blade.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_revisions.blade.php" beforeDir="false" afterPath="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_revisions.blade.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
    <execution>
      <executable />
    </execution>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/routes/web.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="255">
              <caret line="15" column="70" selection-start-line="15" selection-start-column="70" selection-end-line="15" selection-end-column="70" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/resources/views/front/index.blade.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="374">
              <caret line="22" column="56" selection-start-line="22" selection-start-column="56" selection-end-line="22" selection-end-column="56" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/resources/views/front/common/accueil/main_container_contributions.blade.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="368">
              <caret line="24" column="62" selection-start-line="24" selection-start-column="62" selection-end-line="24" selection-end-column="62" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Cours.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="238">
              <caret line="14" column="1" selection-start-line="14" selection-start-column="1" selection-end-line="14" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/app/Classe.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="306">
              <caret line="18" column="1" selection-start-line="18" selection-start-column="1" selection-end-line="18" selection-end-column="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/app/Http/Controllers/front/HomeController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="424">
              <caret line="33" column="101" selection-start-line="33" selection-start-column="101" selection-end-line="33" selection-end-column="101" />
              <folding>
                <element signature="e#46#61#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>figure</find>
      <find>newsletter_form</find>
    </findStrings>
    <dirStrings>
      <dir>D:\commercial work\apr\public\front\js</dir>
      <dir>D:\commercial work\apr\public\front</dir>
    </dirStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/resources/views/back/layouts/app.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/back/common/footer.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/back/common/scripts.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/back/common/head.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/back/cours/add.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/back/professeurs/add.blade.php" />
        <option value="$PROJECT_DIR$/public/css/admin.css" />
        <option value="$PROJECT_DIR$/resources/views/back/professeurs/index.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/backend/ProfesseursController.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_04_13_131317_create_matieres_table.php" />
        <option value="$PROJECT_DIR$/app/Activity.php" />
        <option value="$PROJECT_DIR$/database/migrations/2014_10_12_000000_create_users_table.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_04_13_133109_create_activities_table.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_04_13_144818_create_niveaux_table.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/backend/NiveauController.php" />
        <option value="$PROJECT_DIR$/resources/views/back/niveau/index.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/back/matiere/index.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/back/common/navbar.blade.php" />
        <option value="$PROJECT_DIR$/app/Cours.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_04_13_131933_create_cours_table.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_04_13_130955_create_classes_table.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/backend/ClasseController.php" />
        <option value="$PROJECT_DIR$/resources/views/back/classe/index.blade.php" />
        <option value="$PROJECT_DIR$/app/Classe.php" />
        <option value="$PROJECT_DIR$/eductv.sql" />
        <option value="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_dossiers.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_ressources.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/front/NiveauController.php" />
        <option value="$PROJECT_DIR$/app/Niveau.php" />
        <option value="$PROJECT_DIR$/resources/views/front/niveau_grid.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/front/ClasseController.php" />
        <option value="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_videos.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/front/matieres_grid.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/front/MatiereController.php" />
        <option value="$PROJECT_DIR$/resources/views/front/cours_detail.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/Auth/LoginController.php" />
        <option value="$PROJECT_DIR$/app/Matiere.php" />
        <option value="$PROJECT_DIR$/app/Newsletter.php" />
        <option value="$PROJECT_DIR$/database/migrations/2020_04_22_111707_create_newsletters_table.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/backend/MatiereController.php" />
        <option value="$PROJECT_DIR$/routes/web.php" />
        <option value="$PROJECT_DIR$/resources/views/front/common/head.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/front/common/footer.blade.php" />
        <option value="$PROJECT_DIR$/public/front/assets/validate.js" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/front/NewsletterController.php" />
        <option value="$PROJECT_DIR$/.env" />
        <option value="$PROJECT_DIR$/resources/views/back/cours/index.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/backend/CoursController.php" />
        <option value="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_revisions.blade.php" />
        <option value="$PROJECT_DIR$/resources/views/front/common/accueil/main_container_contributions.blade.php" />
        <option value="$PROJECT_DIR$/app/Http/Controllers/front/HomeController.php" />
      </list>
    </option>
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/symfony/process" />
      <path value="$PROJECT_DIR$/vendor/symfony/service-contracts" />
      <path value="$PROJECT_DIR$/vendor/voku/portable-ascii" />
      <path value="$PROJECT_DIR$/vendor/symfony/console" />
      <path value="$PROJECT_DIR$/vendor/fruitcake/laravel-cors" />
      <path value="$PROJECT_DIR$/vendor/webmozart/assert" />
      <path value="$PROJECT_DIR$/vendor/vlucas/phpdotenv" />
      <path value="$PROJECT_DIR$/vendor/laravel/tinker" />
      <path value="$PROJECT_DIR$/vendor/fideloper/proxy" />
      <path value="$PROJECT_DIR$/vendor/laravel/framework" />
      <path value="$PROJECT_DIR$/vendor/opis/closure" />
      <path value="$PROJECT_DIR$/vendor/facade/ignition" />
      <path value="$PROJECT_DIR$/vendor/facade/ignition-contracts" />
      <path value="$PROJECT_DIR$/vendor/facade/flare-client-php" />
      <path value="$PROJECT_DIR$/vendor/theseer/tokenizer" />
      <path value="$PROJECT_DIR$/vendor/nikic/php-parser" />
      <path value="$PROJECT_DIR$/vendor/phpunit/phpunit" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-token-stream" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-code-coverage" />
      <path value="$PROJECT_DIR$/vendor/dragonmantank/cron-expression" />
      <path value="$PROJECT_DIR$/vendor/psr/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-timer" />
      <path value="$PROJECT_DIR$/vendor/psr/log" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-text-template" />
      <path value="$PROJECT_DIR$/vendor/psr/container" />
      <path value="$PROJECT_DIR$/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/vendor/phpunit/php-file-iterator" />
      <path value="$PROJECT_DIR$/vendor/tijsverkoyen/css-to-inline-styles" />
      <path value="$PROJECT_DIR$/vendor/phar-io/manifest" />
      <path value="$PROJECT_DIR$/vendor/phar-io/version" />
      <path value="$PROJECT_DIR$/vendor/phpspec/prophecy" />
      <path value="$PROJECT_DIR$/vendor/brick/math" />
      <path value="$PROJECT_DIR$/vendor/asm89/stack-cors" />
      <path value="$PROJECT_DIR$/vendor/league/commonmark" />
      <path value="$PROJECT_DIR$/vendor/nesbot/carbon" />
      <path value="$PROJECT_DIR$/vendor/league/flysystem" />
      <path value="$PROJECT_DIR$/vendor/hamcrest/hamcrest-php" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/filp/whoops" />
      <path value="$PROJECT_DIR$/vendor/swiftmailer/swiftmailer" />
      <path value="$PROJECT_DIR$/vendor/ramsey/collection" />
      <path value="$PROJECT_DIR$/vendor/ramsey/uuid" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/psr7" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/promises" />
      <path value="$PROJECT_DIR$/vendor/guzzlehttp/guzzle" />
      <path value="$PROJECT_DIR$/vendor/mockery/mockery" />
      <path value="$PROJECT_DIR$/vendor/monolog/monolog" />
      <path value="$PROJECT_DIR$/vendor/myclabs/deep-copy" />
      <path value="$PROJECT_DIR$/vendor/egulias/email-validator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/code-unit-reverse-lookup" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-common" />
      <path value="$PROJECT_DIR$/vendor/sebastian/exporter" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/reflection-docblock" />
      <path value="$PROJECT_DIR$/vendor/dnoegel/php-xdg-base-dir" />
      <path value="$PROJECT_DIR$/vendor/sebastian/resource-operations" />
      <path value="$PROJECT_DIR$/vendor/phpdocumentor/type-resolver" />
      <path value="$PROJECT_DIR$/vendor/sebastian/comparator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/environment" />
      <path value="$PROJECT_DIR$/vendor/sebastian/type" />
      <path value="$PROJECT_DIR$/vendor/psy/psysh" />
      <path value="$PROJECT_DIR$/vendor/sebastian/version" />
      <path value="$PROJECT_DIR$/vendor/doctrine/lexer" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-reflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/diff" />
      <path value="$PROJECT_DIR$/vendor/doctrine/instantiator" />
      <path value="$PROJECT_DIR$/vendor/sebastian/recursion-context" />
      <path value="$PROJECT_DIR$/vendor/doctrine/inflector" />
      <path value="$PROJECT_DIR$/vendor/sebastian/object-enumerator" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-foundation" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation-contracts" />
      <path value="$PROJECT_DIR$/vendor/sebastian/global-state" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/nunomaduro/collision" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher-contracts" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/vendor/symfony/translation" />
      <path value="$PROJECT_DIR$/vendor/scrivo/highlight.php" />
      <path value="$PROJECT_DIR$/vendor/symfony/error-handler" />
      <path value="$PROJECT_DIR$/vendor/symfony/event-dispatcher" />
      <path value="$PROJECT_DIR$/vendor/ralouphie/getallheaders" />
      <path value="$PROJECT_DIR$/vendor/symfony/routing" />
      <path value="$PROJECT_DIR$/vendor/symfony/css-selector" />
      <path value="$PROJECT_DIR$/vendor/symfony/http-kernel" />
      <path value="$PROJECT_DIR$/vendor/symfony/finder" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php72" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-php73" />
      <path value="$PROJECT_DIR$/vendor/symfony/var-dumper" />
      <path value="$PROJECT_DIR$/vendor/phpoption/phpoption" />
      <path value="$PROJECT_DIR$/vendor/fzaninotto/faker" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-intl-idn" />
      <path value="$PROJECT_DIR$/vendor/symfony/mime" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-iconv" />
      <path value="$PROJECT_DIR$/vendor/laravel/ui" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="53" />
    <option name="width" value="978" />
    <option name="height" value="1060" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
              <item name="app" type="462c0819:PsiDirectoryNode" />
              <item name="Http" type="462c0819:PsiDirectoryNode" />
              <item name="Controllers" type="462c0819:PsiDirectoryNode" />
              <item name="front" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
              <item name="front" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="apr" type="b2602c69:ProjectViewProjectNode" />
              <item name="apr" type="462c0819:PsiDirectoryNode" />
              <item name="routes" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../auto_shop_web" />
    <property name="node.js.detected.package.eslint" value="true" />
    <property name="node.js.detected.package.tslint" value="true" />
    <property name="node.js.path.for.package.eslint" value="project" />
    <property name="node.js.path.for.package.tslint" value="project" />
    <property name="node.js.selected.package.eslint" value="(autodetect)" />
    <property name="node.js.selected.package.tslint" value="(autodetect)" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="nodejs_package_manager_path" value="npm" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\commercial work\apr" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\commercial work\apr\resources\views\back\old-view" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration name="phpunit.xml" type="PHPUnitRunConfigurationType" factoryName="PHPUnit">
      <TestRunner scope="XML" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="20c93a6f-80c8-4861-bff6-1e331647f548" name="Default Changelist" comment="" />
      <created>1585761424160</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1585761424160</updated>
      <workItem from="1585761425372" duration="1497000" />
      <workItem from="1586687102173" duration="5957000" />
      <workItem from="1586783014872" duration="15432000" />
      <workItem from="1586965029454" duration="11334000" />
      <workItem from="1586992375632" duration="3703000" />
      <workItem from="1587056752918" duration="3417000" />
      <workItem from="1587553744406" duration="5369000" />
      <workItem from="1587643959700" duration="7095000" />
      <workItem from="1587983665976" duration="2000" />
      <workItem from="1587983734390" duration="1721000" />
      <workItem from="1587986595590" duration="3023000" />
      <workItem from="1588017837087" duration="17000" />
      <workItem from="1588065311133" duration="2723000" />
    </task>
    <task id="LOCAL-00001" summary="update classe">
      <created>1586798391691</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1586798391691</updated>
    </task>
    <task id="LOCAL-00002" summary="update classe">
      <created>1586965060264</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1586965060264</updated>
    </task>
    <task id="LOCAL-00003" summary="database added">
      <created>1586965360881</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1586965360881</updated>
    </task>
    <task id="LOCAL-00004" summary="mise a jours front">
      <created>1586968706807</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1586968706807</updated>
    </task>
    <task id="LOCAL-00005" summary="mise a jours front">
      <created>1586977017533</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1586977017533</updated>
    </task>
    <task id="LOCAL-00006" summary="mise a jours front">
      <created>1586978188700</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1586978188700</updated>
    </task>
    <task id="LOCAL-00007" summary="mise a jours front">
      <created>1586978323258</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1586978323258</updated>
    </task>
    <task id="LOCAL-00008" summary="mise a jours front">
      <created>1586978646759</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1586978646759</updated>
    </task>
    <task id="LOCAL-00009" summary="mise a jours front">
      <created>1586985753232</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1586985753232</updated>
    </task>
    <task id="LOCAL-00010" summary="mise a jours front">
      <created>1587029229657</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1587029229657</updated>
    </task>
    <task id="LOCAL-00011" summary="mise a jours front">
      <created>1587075506749</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1587075506749</updated>
    </task>
    <task id="LOCAL-00012" summary="mise a jours front">
      <created>1587075804332</created>
      <option name="number" value="00012" />
      <option name="presentableId" value="LOCAL-00012" />
      <option name="project" value="LOCAL" />
      <updated>1587075804332</updated>
    </task>
    <task id="LOCAL-00013" summary="mise a jours front">
      <created>1587468012531</created>
      <option name="number" value="00013" />
      <option name="presentableId" value="LOCAL-00013" />
      <option name="project" value="LOCAL" />
      <updated>1587468012531</updated>
    </task>
    <task id="LOCAL-00014" summary="mise a jours front">
      <created>1587553824517</created>
      <option name="number" value="00014" />
      <option name="presentableId" value="LOCAL-00014" />
      <option name="project" value="LOCAL" />
      <updated>1587553824517</updated>
    </task>
    <task id="LOCAL-00015" summary="mise a jours front">
      <created>1587649603500</created>
      <option name="number" value="00015" />
      <option name="presentableId" value="LOCAL-00015" />
      <option name="project" value="LOCAL" />
      <updated>1587649603500</updated>
    </task>
    <option name="localTasksCounter" value="16" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="62427000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1550" height="848" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" weight="0.16577181" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="0" weight="0.32900432" />
      <window_info anchor="bottom" id="Message" order="1" />
      <window_info anchor="bottom" id="Find" order="2" weight="0.32900432" />
      <window_info anchor="bottom" id="Run" order="3" sideWeight="0.49932885" weight="0.32756132" />
      <window_info anchor="bottom" id="Debug" order="4" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="5" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="6" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="7" />
      <window_info anchor="bottom" id="Docker" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Database Changes" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.50067115" side_tool="true" weight="0.32756132" />
      <window_info anchor="bottom" id="Terminal" order="12" weight="0.35064936" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.16577181" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="npm" order="2" side_tool="true" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="0" weight="0.32900432" />
      <window_info anchor="bottom" id="Message" order="1" />
      <window_info anchor="bottom" id="Find" order="2" weight="0.32900432" />
      <window_info anchor="bottom" id="Run" order="3" sideWeight="0.49932885" weight="0.32756132" />
      <window_info anchor="bottom" id="Debug" order="4" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="5" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="6" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="7" />
      <window_info anchor="bottom" id="Docker" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Database Changes" order="10" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.50067115" side_tool="true" weight="0.32756132" />
      <window_info anchor="bottom" id="Terminal" order="12" visible="true" weight="0.35064936" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="update classe" />
    <MESSAGE value="database added" />
    <MESSAGE value="mise a jours front" />
    <option name="LAST_COMMIT_MESSAGE" value="mise a jours front" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/resources/views/back/old-view/cours/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="27" column="38" lean-forward="true" selection-start-line="27" selection-start-column="38" selection-end-line="27" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/back/old-view/cours/add.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="27" column="43" selection-start-line="27" selection-start-column="43" selection-end-line="27" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/backend/NiveauController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="33">
          <caret line="15" column="20" lean-forward="true" selection-start-line="15" selection-start-column="20" selection-end-line="15" selection-end-column="20" />
          <folding>
            <element signature="e#48#65#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/back/common/navbar.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="122">
          <caret line="49" column="46" selection-start-line="49" selection-start-column="46" selection-end-line="49" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/accueil/main_hero_single.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="29" lean-forward="true" selection-start-column="29" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/accueil/main_features.blade.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_04_13_131933_create_cours_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="25" column="49" lean-forward="true" selection-start-line="25" selection-start-column="49" selection-end-line="25" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_04_13_130955_create_classes_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="311">
          <caret line="28" column="6" lean-forward="true" selection-start-line="28" selection-start-column="6" selection-end-line="28" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/backend/ClasseController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="186">
          <caret line="23" column="28" selection-start-line="23" selection-start-column="28" selection-end-line="24" selection-end-column="33" />
          <folding>
            <element signature="e#48#65#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/eductv.sql">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="397">
          <caret line="322" selection-start-line="322" selection-end-line="322" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/accueil/main_container_dossiers.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="76" selection-start-line="9" selection-start-column="76" selection-end-line="9" selection-end-column="76" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/front/ClasseController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="57" selection-start-line="13" selection-start-column="57" selection-end-line="13" selection-end-column="57" />
          <folding>
            <element signature="e#46#61#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/niveau_grid.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10">
          <caret line="38" column="25" lean-forward="true" selection-start-line="38" selection-start-column="25" selection-end-line="38" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/back/classe/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="44" column="40" selection-start-line="44" selection-start-column="40" selection-end-line="51" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/matieres_grid.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="765">
          <caret line="45" column="83" selection-start-line="45" selection-start-column="83" selection-end-line="45" selection-end-column="83" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/Auth/LoginController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="5" column="39" selection-start-line="5" selection-start-column="39" selection-end-line="6" selection-end-column="50" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_04_13_133109_create_activities_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="16" column="25" lean-forward="true" selection-start-line="16" selection-start-column="25" selection-end-line="17" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/cours_detail.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="401">
          <caret line="51" column="39" selection-start-line="51" selection-start-column="39" selection-end-line="51" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/js/app.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/public/front/js/common_scripts.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-765">
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/front/js/main.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/public/front/js/admission_func.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/head.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="51">
          <caret line="3" column="90" selection-start-line="3" selection-start-column="90" selection-end-line="3" selection-end-column="90" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/footer.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="271">
          <caret line="35" column="29" selection-start-line="35" selection-start-column="29" selection-end-line="35" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/front/assets/validate.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="15" column="56" selection-start-line="15" selection-start-column="56" selection-end-line="15" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.env">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="408">
          <caret line="24" selection-start-line="24" selection-end-line="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/back/cours/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="529">
          <caret line="162" selection-start-line="162" selection-end-line="162" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/back/common/scripts.blade.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_04_22_111707_create_newsletters_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="12" column="7" selection-start-line="12" selection-start-column="7" selection-end-line="12" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/database/migrations/2020_04_13_131317_create_matieres_table.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="323">
          <caret line="21" column="12" selection-start-line="21" selection-start-column="12" selection-end-line="21" selection-end-column="95" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/backend/ProfesseursController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/backend/MatiereController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="62" column="34" selection-start-line="62" selection-start-column="34" selection-end-line="62" selection-end-column="34" />
          <folding>
            <element signature="e#48#65#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/backend/CoursController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="25" column="33" selection-start-line="25" selection-start-column="33" selection-end-line="25" selection-end-column="33" />
          <folding>
            <element signature="e#48#65#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/back/matiere/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="33" column="34" selection-start-line="24" selection-start-column="28" selection-end-line="24" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Notifications/NewCurses.php">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="5" lean-forward="true" selection-start-column="5" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/back/layouts/app.blade.php">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Newsletter.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="170">
          <caret line="10" column="1" lean-forward="true" selection-start-line="10" selection-start-column="1" selection-end-line="10" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Niveau.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="221">
          <caret line="13" column="5" lean-forward="true" selection-start-line="13" selection-start-column="5" selection-end-line="13" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Classe.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="306">
          <caret line="18" column="1" selection-start-line="18" selection-start-column="1" selection-end-line="18" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/front/NiveauController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="102">
          <caret line="8" column="41" lean-forward="true" selection-start-line="8" selection-start-column="41" selection-end-line="8" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/front/NewsletterController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="391">
          <caret line="30" column="20" selection-start-line="30" selection-start-column="20" selection-end-line="30" selection-end-column="20" />
          <folding>
            <element signature="e#46#63#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/front/MatiereController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="17" column="39" selection-start-line="17" selection-start-column="39" selection-end-line="17" selection-end-column="39" />
          <folding>
            <element signature="e#46#60#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/accueil/main_container_ressources.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-227">
          <caret line="18" column="20" lean-forward="true" selection-start-line="18" selection-start-column="20" selection-end-line="18" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/accueil/main_container_videos.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="14" column="94" selection-start-line="14" selection-start-column="94" selection-end-line="14" selection-end-column="94" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/accueil/main_container_revisions.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="15" column="76" selection-start-line="15" selection-start-column="76" selection-end-line="15" selection-end-column="76" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Matiere.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="153">
          <caret line="9" column="44" lean-forward="true" selection-start-line="9" selection-start-column="44" selection-end-line="9" selection-end-column="44" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Cours.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="14" column="1" selection-start-line="14" selection-start-column="1" selection-end-line="14" selection-end-column="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/index.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="22" column="56" selection-start-line="22" selection-start-column="56" selection-end-line="22" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/routes/web.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="255">
          <caret line="15" column="70" selection-start-line="15" selection-start-column="70" selection-end-line="15" selection-end-column="70" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/resources/views/front/common/accueil/main_container_contributions.blade.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="368">
          <caret line="24" column="62" selection-start-line="24" selection-start-column="62" selection-end-line="24" selection-end-column="62" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/app/Http/Controllers/front/HomeController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="424">
          <caret line="33" column="101" selection-start-line="33" selection-start-column="101" selection-end-line="33" selection-end-column="101" />
          <folding>
            <element signature="e#46#61#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>